/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fr.eni.technoCeption.vue;

import java.io.IOException;
import java.sql.SQLException;
import java.text.ParseException;
import java.util.logging.Level;
import java.util.logging.Logger;

import fr.eni.technoCeption.controleur.C_AS_AutoSearch;
import fr.eni.technoCeption.db.Db_mysql;
import fr.eni.technoCeption.model.M_User;

/**
 *
 * @author gatardf
 */
public class V_User extends javax.swing.JFrame {

    private C_AS_AutoSearch leControl;
    private Db_mysql bdAutoSearch;
    private M_User unUtilisateur;
    /**
     * Creates new form V_User
     */
    public V_User(C_AS_AutoSearch leControl,Db_mysql bdAutoSearch) {
        this.bdAutoSearch = bdAutoSearch;
        this.leControl = leControl;
        initComponents();
    }
    
    public void afficher(String Login, int droit) throws SQLException{
        unUtilisateur = new M_User(bdAutoSearch, Login);
        ed_login.setText(Login);
        ed_mail.setText(unUtilisateur.getMail());
        ed_nom.setText(unUtilisateur.getNom());
        ed_prenom.setText(unUtilisateur.getPrenom());
        ed_phone.setText(unUtilisateur.getPhone());
        if(droit != 1){
            bt_Supprimer.setVisible(false);
        }
        setVisible(true);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        lb_login = new javax.swing.JLabel();
        ed_login = new javax.swing.JTextField();
        lb_mail = new javax.swing.JLabel();
        ed_mail = new javax.swing.JTextField();
        ed_nom = new javax.swing.JTextField();
        ed_prenom = new javax.swing.JTextField();
        ed_phone = new javax.swing.JTextField();
        lb_nom = new javax.swing.JLabel();
        lb_prenom = new javax.swing.JLabel();
        lb_phone = new javax.swing.JLabel();
        bt_retour = new javax.swing.JButton();
        bt_Modifier = new javax.swing.JButton();
        bt_Supprimer = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setMaximumSize(new java.awt.Dimension(400, 300));
        setMinimumSize(new java.awt.Dimension(400, 300));

        lb_login.setText("Login");

        ed_login.setEnabled(false);
        ed_login.setMinimumSize(new java.awt.Dimension(250, 32));
        ed_login.setPreferredSize(new java.awt.Dimension(250, 32));

        lb_mail.setText("E-mail");

        ed_mail.setPreferredSize(new java.awt.Dimension(250, 32));

        ed_nom.setPreferredSize(new java.awt.Dimension(250, 32));

        ed_prenom.setPreferredSize(new java.awt.Dimension(250, 32));

        ed_phone.setPreferredSize(new java.awt.Dimension(250, 32));

        lb_nom.setText("Nom");

        lb_prenom.setText("Prenom");

        lb_phone.setText("Telephone");

        bt_retour.setText("<");
        bt_retour.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bt_retourActionPerformed(evt);
            }
        });

        bt_Modifier.setText("Modifier");
        bt_Modifier.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bt_ModifierActionPerformed(evt);
            }
        });

        bt_Supprimer.setText("Supprimer");
        bt_Supprimer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bt_SupprimerActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(lb_login)
                    .addComponent(lb_mail)
                    .addComponent(lb_nom)
                    .addComponent(lb_prenom)
                    .addComponent(lb_phone))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(ed_phone, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(ed_prenom, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(ed_nom, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(ed_mail, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(ed_login, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(60, Short.MAX_VALUE))
            .addGroup(layout.createSequentialGroup()
                .addComponent(bt_retour)
                .addGap(0, 0, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(bt_Supprimer)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(bt_Modifier)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(bt_retour)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lb_login)
                    .addComponent(ed_login, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lb_mail)
                    .addComponent(ed_mail, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(ed_nom, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lb_nom))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(ed_prenom, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lb_prenom))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(ed_phone, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lb_phone))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(bt_Modifier)
                    .addComponent(bt_Supprimer))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void bt_retourActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bt_retourActionPerformed
        // TODO add your handling code here:
        try {
            // TODO add your handling code here:
            leControl.aff_V_Consultation();
        } catch (IOException | ParseException | SQLException ex) {
            Logger.getLogger(V_Url.class.getName()).log(Level.SEVERE, null, ex);
        }
        setVisible(false);
    }//GEN-LAST:event_bt_retourActionPerformed

    private void bt_ModifierActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bt_ModifierActionPerformed
        try {
            // TODO add your handling code here:
            M_User.update(bdAutoSearch,ed_login.getText(),ed_mail.getText(), ed_nom.getText(),ed_prenom.getText(),ed_phone.getText());
        } catch (SQLException ex) {
            Logger.getLogger(V_User.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_bt_ModifierActionPerformed

    private void bt_SupprimerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bt_SupprimerActionPerformed
        try {
            // TODO add your handling code here:
            M_User.delete(bdAutoSearch, ed_login.getText());
        } catch (SQLException ex) {
            Logger.getLogger(V_User.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_bt_SupprimerActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(V_User.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(V_User.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(V_User.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(V_User.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new V_User(null,null).setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton bt_Modifier;
    private javax.swing.JButton bt_Supprimer;
    private javax.swing.JButton bt_retour;
    private javax.swing.JTextField ed_login;
    private javax.swing.JTextField ed_mail;
    private javax.swing.JTextField ed_nom;
    private javax.swing.JTextField ed_phone;
    private javax.swing.JTextField ed_prenom;
    private javax.swing.JLabel lb_login;
    private javax.swing.JLabel lb_mail;
    private javax.swing.JLabel lb_nom;
    private javax.swing.JLabel lb_phone;
    private javax.swing.JLabel lb_prenom;
    // End of variables declaration//GEN-END:variables
}
